## $Id: browser.py 14313 2016-12-06 07:46:48Z henrik $
##
## Copyright (C) 2015 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##

import grok
from zope.component import getUtility
from waeup.ikoba.interfaces import IIkobaUtils, IExtFileStore
from waeup.ikoba.customers.browser import (
    PDFContractSlip, CustomerBaseEditFormPage)
from ikobacustom.aaue.interfaces import MessageFactory as _

class PDFContractSlip(PDFContractSlip):
    """Deliver pdf file including metadata.
    """

    @property
    def label(self):
        portal_language = getUtility(IIkobaUtils).PORTAL_LANGUAGE
        return self.context.title


class CustomerBaseEditFormPage(CustomerBaseEditFormPage):
    """ View to edit customer base data
    """

    def dataNotComplete(self):
        return

    @property
    def form_fields(self):
        if not self.is_requestable():
            return grok.AutoFields(
                self.context.form_fields_interface).select(
                    'email', 'phone', 'inst', 'postal_address')
        return grok.AutoFields(self.context.form_fields_interface).omit(
            'suspended', 'suspended_comment', 'reg_number', 'customer_id')